Skip to main content
GET
/
affiliates
/
pixels
/
{pixelId}
Find Postback By ID
curl --request GET \
  --url https://api.eflow.team/v1/affiliates/pixels/{pixelId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "network_pixel_id": 123,
  "network_id": 123,
  "network_affiliate_id": 123,
  "network_offer_id": 123,
  "network_offer_payout_revenue_id": 123,
  "delivery_method": "<string>",
  "pixel_level": "<string>",
  "pixel_status": "<string>",
  "pixel_type": "<string>",
  "postback_url": "<string>",
  "html_code": "<string>",
  "delay_ms": 123,
  "time_created": 1734455015,
  "time_saved": 1734455015,
  "facebook_pixel": {
    "pixel_id": "<string>",
    "event_name": "<string>",
    "access_token": "<string>"
  },
  "tiktok_pixel": {},
  "snapchat_pixel": {},
  "rumble_pixel": {},
  "relationship": {
    "affiliate": {
      "network_affiliate_id": 123,
      "network_id": 123,
      "name": "<string>",
      "account_status": "<string>",
      "network_employee_id": 123,
      "internal_notes": "<string>",
      "has_notifications": true,
      "network_traffic_source_id": 123,
      "account_executive_id": 123,
      "adress_id": 123,
      "default_currency_id": "<string>",
      "is_contact_address_enabled": true,
      "enable_media_cost_tracking_links": true,
      "time_created": 1734455015,
      "time_saved": 1734455015,
      "referrer_id": 123
    },
    "offer": {
      "network_offer_id": 123,
      "network_id": 123,
      "network_advertiser_id": 123,
      "network_offer_group_id": 123,
      "name": "<string>",
      "offer_status": "<string>",
      "network_tracking_domain_id": 123,
      "visibility": "<string>",
      "currency_id": "<string>"
    },
    "payout_revenue": {}
  }
}

Authorizations

X-Eflow-Api-Key
string
header
required

The affiliate's API key generated from the Affiliate Portal. Uses the X-Eflow-Api-Key header.

Path Parameters

pixelId
integer
required

The numeric ID of the postback.

Response

network_pixel_id
integer

Unique identifier for the postback.

network_id
integer

Network ID.

network_affiliate_id
integer

Affiliate ID that owns this postback.

network_offer_id
integer

Associated offer ID (0 if global).

network_offer_payout_revenue_id
integer

Associated payout/revenue ID (0 if not specific).

delivery_method
string

Delivery method (html, postback, facebook).

pixel_level
string

Scope of the postback (global, specific).

pixel_status
string

Whether the postback is active or inactive.

pixel_type
string

Type of event trigger (conversion, post_conversion, cpc).

postback_url
string

URL called when the postback fires.

html_code
string

HTML/JavaScript pixel code.

delay_ms
integer

Delay in milliseconds before firing.

time_created
integer

Unix timestamp when the postback was created.

Example:

1734455015

time_saved
integer

Unix timestamp when the postback was last updated.

Example:

1734455015

facebook_pixel
object

Facebook pixel configuration.

tiktok_pixel
object

TikTok pixel configuration.

snapchat_pixel
object

Snapchat pixel configuration.

rumble_pixel
object

Rumble pixel configuration.

relationship
object

Related entity data.